using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace APE.presentation {
	public partial class TabPanel : TabControl {
		// UniPixel width of close/min/max buttons in Aero theme; needed to auto-hide tabs
		const int captionbuttonsWidth = 132;

		public TabPanel() : base() {
			InitializeComponent();
			
			var newTab = new presentation.Tab(Properties.Settings.Default.startupDirectory);
			newTab.IsSelected = true;
			Items.Add(newTab);
		}

		public void refresh() {
			foreach (Tab tab in Items) {
				tab.refresh();
			}
		}
	}
}
